Get a file uploaded via form
curl --request GET \
--url https://api.hubapi.com/form-integrations/v1/uploaded-files/signed-url-redirect/{fileId}import requests
url = "https://api.hubapi.com/form-integrations/v1/uploaded-files/signed-url-redirect/{fileId}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.hubapi.com/form-integrations/v1/uploaded-files/signed-url-redirect/{fileId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"category": "<string>",
"correlationId": "<string>",
"message": "<string>",
"subCategory": "<string>",
"errors": [
{
"message": "<string>",
"in": "<string>",
"code": "<string>",
"subCategory": "<string>",
"context": {}
}
],
"context": {},
"links": {}
}v1
Get a file uploaded via form
For a given file id, return the file associated with that Id. The initial GET on this URL returns a redirect, which should be followed to retrieve the file.
GET
/
form-integrations
/
v1
/
uploaded-files
/
signed-url-redirect
/
{fileId}
Get a file uploaded via form
Scope requirements
Scope requirements
Path Parameters
The ID of the file to retrieve.
Query Parameters
The portal ID.
The signature for the request.
The conversion ID associated with the file upload.
The filename of the uploaded file.
The HubSpot API key.
Response
Redirect to the file download URL
Last modified on March 16, 2026
Was this page helpful?
⌘I